-- Verify camper:available_id_document_types on pg

begin;

set search_path to camper;

select 1 / count(*) from id_document_type where id_document_type_id = 'D' and name = 'DNI';
select 1 / count(*) from id_document_type where id_document_type_id = 'P' and name = 'Passport';
select 1 / count(*) from id_document_type where id_document_type_id = 'C' and name = 'Driving license';
select 1 / count(*) from id_document_type where id_document_type_id = 'I' and name = 'Identification document';
select 1 / count(*) from id_document_type where id_document_type_id = 'N' and name = 'Spanish residence permit';
select 1 / count(*) from id_document_type where id_document_type_id = 'X' and name = 'Residence permit from another Member State of the European Union';

select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'D' and lang_tag = 'ca' and name = 'DNI';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'P' and lang_tag = 'ca' and name = 'Passaport';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'C' and lang_tag = 'ca' and name = 'Permís de conduir';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'I' and lang_tag = 'ca' and name = 'Carta o document d’identitat';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'N' and lang_tag = 'ca' and name = 'Permís de residència espanyol';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'X' and lang_tag = 'ca' and name = 'Permís de residència d’un altre estat membre de la Unió Europea';

select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'D' and lang_tag = 'es' and name = 'DNI';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'P' and lang_tag = 'es' and name = 'Pasaporte';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'C' and lang_tag = 'es' and name = 'Permiso de conducir';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'I' and lang_tag = 'es' and name = 'Carta o documento de identidad';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'N' and lang_tag = 'es' and name = 'Permiso de residencia español';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'X' and lang_tag = 'es' and name = 'Permiso de residencia de otro Estado Miembro de la Unión Europea';

select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'D' and lang_tag = 'fr' and name = 'DNI';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'P' and lang_tag = 'fr' and name = 'Passeport';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'C' and lang_tag = 'fr' and name = 'Permis de conduire';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'I' and lang_tag = 'fr' and name = 'Carte d’identité';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'N' and lang_tag = 'fr' and name = 'Permis de séjour espagnol';
select 1 / count(*) from id_document_type_i18n where id_document_type_id = 'X' and lang_tag = 'fr' and name = 'Titre de séjour d’un autre État membre de l’Union européenne';

rollback;
